import { world, MolangVariableMap } from "@minecraft/server";

export let globals = {
    boundryBox: null,
    holderL: null,
    holderR: null,
    molangParticles: new MolangVariableMap(),
    camera2D: world.scoreboard.getObjective("cam2D")?.getScore("-253403070434"),
    boundryBoxActive: world.scoreboard.getObjective("boundryBoxActive")?.getScore("-253403070434"),
    generateBiome: true,
    isAlive: true,
    camDistanceX: 10845,
    camDistanceY: 126,
};
export function boundryBoxList(entity) {
    if (entity === "minecraft:horse")
        return 0.5;
    else if (entity === "minecraft:polar_bear")
        return 0.5;
    else if (entity === "minecraft:donkey")
        return 0.4;
    else if (entity === "minecraft:cow")
        return 0.5;
    else if (entity === "minecraft:sheep")
        return 0.35;
    else if (entity === "minecraft:mooshroom")
        return 0.5;
    else if (entity === "minecraft:skeleton_horse")
        return 0.5;
    else if (entity === "minecraft:zombie_horse")
        return 0.5;
    else if (entity === "minecraft:llama")
        return 0.55;
    else if (entity === "minecraft:trader_llama")
        return 0.55;
    else if (entity === "minecraft:wandering_trader")
        return 0.4;
    else if (entity === "minecraft:villager")
        return 0.45;
    else if (entity === "minecraft:mule")
        return 0.5;
    else if (entity === "minecraft:camel")
        return 0.65;
    else if (entity === "minecraft:creeper")
        return 0.5;
    else if (entity === "minecraft:skeleton")
        return 0.5;
    else if (entity === "minecraft:zombie")
        return 0.5;
    else if (entity === "minecraft:husk")
        return 0.6;
    else if (entity === "minecraft:zombie_villager")
        return 0.5;
    else if (entity === "minecraft:evoker")
        return 0.5;
    else if (entity === "minecraft:evocation_illager")
        return 0.4;
    else if (entity === "minecraft:zombie_pigman")
        return 0.5;
    else if (entity === "minecraft:vindicator")
        return 0.5;
    else if (entity === "minecraft:witch")
        return 0.5;
    else if (entity === "minecraft:drowned")
        return 0.55;
    else if (entity === "minecraft:pillager")
        return 0.5;
    else if (entity === "minecraft:ravager")
        return 0.6;
    else if (entity === "minecraft:hoglin")
        return 0.6;
    else if (entity === "minecraft:zoglin")
        return 0.5;
    else if (entity === "minecraft:piglin")
        return 0.5;
    else if (entity === "minecraft:panda")
        return 0.4;
    else if (entity === "minecraft:wither_skeleton")
        return 0.8;
    else if (entity === "minecraft:enderman")
        return 1.2;
    else if (entity === "minecraft:blaze")
        return 0.7;
    else if (entity === "minecraft:ghast")
        return -1.2;
    else if (entity === "minecraft:strider")
        return 0.76;
    else if (entity === "minecraft:zombified_piglin")
        return 0.5;
    else if (entity === "minecraft:goat")
        return 0.3;
    else if (entity === "minecraft:sniffer")
        return 0.6;
    else if (entity === "minecraft:snow_golem")
        return 0.3;
    else if (entity === "minecraft:iron_golem")
        return 1.1;
    else if (entity === "minecraft:stray")
        return 0.55;
    else if (entity === "minecraft:guardian")
        return 0.1;
    else if (entity === "minecraft:elder_guardian")
        return 1;
    else
        return 0;
}